package cn.ibizlab.core.uaa.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.uaa.domain.SysAppMenuItem;
import cn.ibizlab.core.uaa.filter.SysAppMenuItemSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[SysAppMenuItem] 服务对象接口
 */
public interface ISysAppMenuItemService extends IService<SysAppMenuItem>{

    boolean save(SysAppMenuItem et) ;
    void saveBatch(List<SysAppMenuItem> list) ;
    boolean create(SysAppMenuItem et) ;
    void createBatch(List<SysAppMenuItem> list) ;
    boolean update(SysAppMenuItem et) ;
    void updateBatch(List<SysAppMenuItem> list) ;
    SysAppMenuItem getDraft(SysAppMenuItem et) ;
    boolean checkKey(SysAppMenuItem et) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    SysAppMenuItem get(String key) ;
    Page<SysAppMenuItem> searchDefault(SysAppMenuItemSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

}


